import java.util.*

  fun main(args: Array<String>) {
    val sc = Scanner(System.`in`)
    var n = sc.nextLong()
    val base = "ETILLET"
    val dp = Array(8) { LongArray(base.length) }
    for (i in 0 until base.length) adj(dp[0], base[i])
    var addnow: Long = 1
    for (q in 1..7) {
      val naddnow = addnow * 2
      addnow = naddnow
      val ndp = dp[q]
      for (a in 0 until base.length) ndp[a] = dp[q - 1][a]
      for (a in 0 until base.length) {
        for (i in 0 until naddnow) {
          adj(ndp, base[a])
        }
      }
    }
    val add = LongArray(8)
    for (i in add.indices.reversed()) {
      add[i] = n / dp[i][base.length - 1]
      n %= dp[i][base.length - 1]
    }
    addnow = 1
    val ret = StringBuilder()
    for (i in dp.indices) {
      for (a in 0 until addnow) ret.append("E")
      for (a in 0 until addnow) ret.append("T")
      for (a in 0 until addnow) ret.append("I")
      for (a in 0 until addnow) ret.append("L")
      for (a in 0 until addnow) ret.append("L")
      for (a in 0 until addnow) ret.append("E")
      for (a in 0 until addnow) ret.append("T")
      for (a in 0 until add[i]) ret.append("A")
      addnow *= 2
    }
    ret.append("S")
    ret.reverse()
    println(ret)
  }

  private fun adj(dp: LongArray, ch: Char) {
    if (ch == 'E') {
      dp[5] += dp[4]
      dp[0]++
    }
    if (ch == 'T') {
      dp[1] += dp[0]
      dp[6] += dp[5]
    }
    if (ch == 'I') {
      dp[2] += dp[1]
    }
    if (ch == 'L') {
      dp[4] += dp[3]
      dp[3] += dp[2]
    }
  }
